# Uses of Class
com.ocient.util.CaselessProperties

Packages that use CaselessProperties
Package
Description
com.ocient.jdbc
com.ocient.util

## Uses of CaselessProperties in com.ocient.jdbc

Fields in com.ocient.jdbc declared as CaselessProperties
Modifier and Type
Field
Description
`protected CaselessProperties`
XGConnection.`properties`
Methods in com.ocient.jdbc that return CaselessProperties
Modifier and Type
Method
Description
`CaselessProperties`
XGConnectionInfo.`getHint_properties()`
Methods in com.ocient.jdbc with parameters of type CaselessProperties
Modifier and Type
Method
Description
`Connection`
JDBCDriver.`createConnection(String hostname, int portNum, String database, CaselessProperties properties)`
`static XGConnectionInfo.Builder`
XGConnectionInfo.`primaryConnection(String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties)`
Creates a new primary connection to a database server.
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setHint_properties(CaselessProperties hint_properties)`
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setRequiredProperties(XGConnectionInfo.Hint hint, String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties)`
`static XGConnection`
XGConnection.`TEST_createConnection(String user, String pwd, String ip, int portNum, String url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`

## Uses of CaselessProperties in com.ocient.util

Constructors in com.ocient.util with parameters of type CaselessProperties
Modifier
Constructor
Description
``
`CaselessProperties(CaselessProperties defaults)`